<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Genero</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Género"  style="margin-bottom:10px">
                    <h:form id="formGenero">
                        <p:growl id="mensaje"/>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Genero" style="margin-right:55px;"/>
                            <p:inputText value="#{generoController.genero.genero}" required="true"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save" rendered="#{generoController.genero.genero==null}" value="Registrar" action="#{generoController.insertar()}" update=":listaGenero, :formGenero, :formGenero:mensaje" />
                            </div>
                               <p:commandButton  icon="pi pi-times" rendered="#{generoController.genero.genero!=null}" value="Cancelar" action="#{generoController.init()}" update=":listaGenero, :formGenero, :formGenero:mensaje" />
                            <p:commandButton   icon="pi pi-refresh" rendered="#{generoController.genero.genero!=null}" value="Actualizar" action="#{generoController.editar()}" update=":listaGenero, :formGenero, :formGenero:mensaje" />
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
      
                <p:fieldset legend="Listado de Géneros">
                    <h:form id="listaGenero" class="dosColumnas">
                        <p:dataTable value="#{generoController.lista}" var="genero" paginator="true" rows="6" style="width: 80%; margin: auto">
                            <p:column headerText="Género">
                                <p:outputLabel value="#{genero.genero}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" action="#{generoController.eliminar(genero)}" update=":listaGenero"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" action="#{generoController.consultarById(genero)}" update=":formGenero"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

